## org.jfree.report
Class EmptyReportException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.pentaho.reporting.libraries.base.util.StackableException
                  org.jfree.report.ReportException
                      org.jfree.report.ReportProcessingException
                          org.jfree.report.EmptyReportException

All Implemented Interfaces:
  java.io.Serializable

    public class EmptyReportException

extends ReportProcessingException

The EmptyReportException is thrown, it the report processing generated no content.

Author:
  Thomas Morgner.
See Also:
  Serialized Form

Constructor Summary
`EmptyReportException(java.lang.String message)` Creates an EmptyReportException.
`EmptyReportException(java.lang.String message, java.lang.Exception ex)` Creates an EmptyReportException.

Method Summary

Methods inherited from class org.pentaho.reporting.libraries.base.util.StackableException
`getMessage, getParent, getParentThrowable, printStackTrace, printStackTrace, printStackTrace, toString, update`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmptyReportException

    public EmptyReportException(java.lang.String message,
                                java.lang.Exception ex)

  Creates an EmptyReportException.

  Parameters:
    `message` - the exception message.
    `ex` - the parent exception.

### EmptyReportException

    public EmptyReportException(java.lang.String message)

  Creates an EmptyReportException.

  Parameters:
    `message` - the exception message.